using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// از این کلاس برای ثبت طبقه بندی اقلام انبار استفاده می شود
/// </summary>

public class Class_tblAssetCategory
{
    String Str_AssetCategory = String.Empty;

    public Class_tblAssetCategory(String Str_AssetCategory)
	{
        this.Str_AssetCategory = Str_AssetCategory;
	}
    /// <summary>
    /// از این متد برای درج رکورد استفاده می شود
    /// </summary>
    public void UDF_SaveAssetCategory()
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblAssetCategory tblCtg = new tblAssetCategory();
        tblCtg.AssetCategoryDescription = this.Str_AssetCategory;
        db.tblAssetCategories.InsertOnSubmit(tblCtg);
        db.SubmitChanges();
    }

    /// <summary>
    /// از این متد برای بررسی اینکه آیا رکورد قبلا وارد شده است یا خیر استفاده می شود
    /// </summary>
    /// <returns></returns>
    public int UDF_CheckDuplicate()
    {
        int int_Duplicated = 0;
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        try
        {
            tblAssetCategory tblCtg = db.tblAssetCategories.Single(n => n.AssetCategoryDescription == Str_AssetCategory.Trim());
            if (tblCtg.AssetCategoryDescription.Trim() == "")
            {
                int_Duplicated = 0;
            }
            else
            {
                int_Duplicated = 1;
            }
        }
        catch
        {
            int_Duplicated = 0;
        }
        return int_Duplicated;
    }
}
